/*  ==========================================================================
    zoomsquare: SLIDER
    authors: Andreas Lackinger, Carina Skladal
    ========================================================================== */


    /* STYLING
    ========================================================================== */

    .zs-slider
    {
        position: relative;

        width: 100%;
        height: 100%;
        padding: 0;
        margin-bottom: $single-space;

        overflow: hidden;

        @include breakpoint(large)
        {
          height: calc(100% - #{$slider-preview-height} - 14px * 2);
        }
    }

    .zs-slider__images
    {
        @extend .no-list;

        position: relative;

        width: 100%;
        height: 100%;
        margin: 0;
        padding: 0;

        overflow: hidden;
        list-style-type: none;
    }

    .zs-slider__image-helper
    {
        display: inline-block;
        height: 100%;
        vertical-align: middle;
    }

    .zs-slider__image
    {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;

        opacity: 0;
        transition: opacity 0.4s;
        text-align: center;
    }

    .zs-slider__image img,
    .zs-slider-preview-slide img
    {
        width: auto;
        max-width: 100%;
        max-height: 100%;

        vertical-align: middle;

        @include breakpoint(large)
        {
            width: auto;
        }
    }

    .zs-slider__image.active
    {
        opacity: 1;
    }

    .zs-slider__previous,
    .zs-slider__next,
    .zs-slider-preview-left,
    .zs-slider-preview-right
    {
        position: absolute;
        top: calc(50% - 19px);

        padding: .8rem 1rem;

        font-size: 3rem;
        color: $slider-arrow-color;
        user-select: none;

        &:hover
        {
            color: $slider-arrow-hover-color;
        }
    }

    .zs-slider__previous svg,
    .zs-slider__next svg
    {
      height: 35px;
      filter: drop-shadow( 0px 0px 5px rgba(0,0,0,.3) );
    }

    .zs-slider-preview-left,
    .zs-slider-preview-right
    {
        z-index: 1;
    }

    .zs-slider__previous
    {
        left: 0;
    }

    .zs-slider__next
    {
        right: 0;
    }

    .zs-slider-preview
    {
        position: relative;

        display: none;
        width: 100%;
        height: $slider-preview-height;
        position: relative;
        overflow: hidden;

        @include breakpoint(large)
        {
            display: block;
        }
    }

    .zs-slider-preview-left
    {
        left: 0;
    }

    .zs-slider-preview-right
    {
        right: 0;
    }

    .zs-slider-preview-scroller
    {
        position: absolute;
        left: 0;

        width: calc(100% + 5px);
        margin-left: -5px;
        padding-bottom: 10px; // to hide the scrollbar

        overflow-x: scroll;
    }

    .zs-slider-preview-list
    {
        display: table;
        height: 100px;
        padding: 0;
        margin: 0;
        list-style-type: none;
    }

    .zs-slider-preview-list-item
    {
        display: table-cell;
        padding: 0 5px;

        opacity: 0.6;
        cursor: pointer;

        &.active
        {
          opacity: 1;
          cursor: default;
        }
    }

    .zs-slider-preview-list-image
    {
        height: 100px;
        max-width: none;
    }
